Get a street view layer capture locations

Returns a 3D Tiles / glTF-based tileset for street view capture locations

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint serves a 3D tileset manifest (in tileset.json) for a given street view layer {layer_name} capture locations. The manifest points to one or more .glb tile content files. These tiles enable 3D visualization of street view capture locations, using GLB / glTF models, compatible with CesiumJS and other 3D Tiles-compliant clients.

Add this tileset to CesiumJS via new Cesium.Cesium3DTileset({ url: ".../tileset.json?format=glb" }). The client library will fetch tileset.json, then request child tiles (.glb) as needed based on view & error threshold.

For more information about 3D Tiles, see 3D Tiles Specification.

Here is an example of using FastMap 3D Tiles in Cesium JS:

const viewer = new Cesium.Viewer("cesiumContainer");
const tileset = Cesium.Cesium3DTileset.fromUrl(new Cesium.Resource({
	url: `https://tiles.fastmap.ai/v2/OSG/3DVT/streetview/${layer_name}/tileset.json`,
	headers: {
		'Authorization': `Bearer ${token}`
	},
})

viewer.scene.primitives.add(tileset);
viewer.zoomTo(tileset);
Path Params
string
required

Name of a street view layer

Query Params
string
Defaults to glb

The format of 3D vector tiles. Available formats: glb and pnts

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json